quixote (2.7~b2-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 18:14:50 +0800

quixote (2.7~b2-2) unstable; urgency=medium

  * Team upload.

  [ SVN → Git migration ]
  * Move to git, using gbp.

  [ Jakub Wilk ]
  * Remove obsolete Conflicts/Replaces with python2.3-quixote and
    python2.4-quixote.

  [ Mattia Rizzolo ]
  * Use source/format 3.0(quilt).
  * Rewrite d/rules using the dh sequencer and pybuild.
  * d/control:
    + Don't have the -doc package depend on the main package.
    + Drop package relationship with very old versions not needed anymore.
    + Have the main package suggest the documentation, instead of recommending.
    + Drop now obsolete python:Provides.
    + Drop now obsolete XS-Python-Version.
    + Bump Standards-Version to 4.2.1.
      - Set Rules-Requires-Root:no.
    + Bump debhelper compat level to 11.
    + Fix lintian's description-synopsis-starts-with-article.
  * Drop obsolete README.Debian referring to things that don't exist anymore.
  * d/watch:
    + Use @ANY_VERSION@@ARCHIVE_EXT@ to be sure to match as much as possible.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 30 Sep 2018 14:54:40 +0200

quixote (2.7~b2-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Really fix #820132 and really remove Oleksandr from Uploaders.

 -- Tobias Frost <tobi@debian.org>  Sun, 30 Sep 2018 09:27:43 +0200

quixote (2.7~b2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch from BTS to add missing "build-arch" and "build-indep"
    targets. Thanks to Santiago Vila for the patch. (Closes: #822020)
  * Remove Oleksandr Moskalenko from Uploaders, thanks for your contributions.
    (Closes: #820132)

 -- Tobias Frost <tobi@debian.org>  Sat, 29 Sep 2018 23:26:25 +0200

quixote (2.7~b2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python instead of python-support.  Closes: #786078

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 14 Dec 2015 18:40:30 +0000

quixote (2.7~b2-1) unstable; urgency=low

  * New upstream beta release (Closes: #592151).
  * debian/control:
    - Changed to DPMT maintainer; put myself in uploaders.
    - Updated Standards-Version to 3.9.1.
    - Moved appropriate build-depends to build-depends-indep.
    - Removed build-depends on dpatch.
    - Updated python-quixote-doc package description (Closes: #564332).
    - Added ${misc:Depends} to python-quixote depends per lintian warning.
    - Added ${shlibs:Depends} per lintian warning.
  * debian/source/format: Switched to source format 3.0.
  * Removed debian/pyversions as only 2.6 is currently available.
  * debian/rules:
    - Only build docs in the binary-indep target (Closes: #514762).
    - Removed patch handling code.
    - Added commands to strip binaries.
  * debian/patches: Converted patches to quilt format.
  * debian/copyright: Removed the encoded copyright symbol per lintian
    warning.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 09 Dec 2010 16:33:33 -0600

quixote (2.6-1) unstable; urgency=low

  * New upstream release.
  * Fix the build targets (Closes: #514762).

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 18 Feb 2009 09:30:01 -0700

quixote (2.5-5) unstable; urgency=low

  * debian/rules: Perform arch-specific builds.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Feb 2009 13:58:40 -0700

quixote (2.5-4) unstable; urgency=low

  [Oleksandr Moskalenko]
  * Fix the build targets (Closes: #514762).
  * debian/control:
    - Updated Standards-Version to 3.8.0.
    - Moved python-support to Build-Depends-Indep.
    - Removed python from Build-Depends.
    - Changed Architecture to all.
  * debian/rules:
    - Clean up the header.
    - Rework the rules to conform to the current Debian python packaging
      guidelines.

  [Carlos Galisteo]
  * debian/control
    - Added Homepage field.

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 12 Feb 2009 09:40:34 -0700

quixote (2.5-3) unstable; urgency=low

  * debian/rules: Remove the extra python setup.py install from the install
    rule.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 14:24:27 -0700

quixote (2.5-2) unstable; urgency=low

  * Really update the debian/watch file.

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 14:19:02 -0700

quixote (2.5-1) unstable; urgency=low

  [Oleksandr Moskalenko]
  * New upstream release (Closes: #445405).
  * debian/patches/01-ptl_compile.py.dpatch: Updated the patch for a changed
    directory structure in the upstream tarball.
  * debian/rules: change the dh_installchanges argument from CHANGES to
    CHANGES.txt to reflect the upstream change.
  * debian/control:
    - Change XS-Vcs to Vcs as this field now has native support.
    - Add a XS-Python-Version field to allow builds for several available
      python versions.
    - Add a build and a binary dependencies on python.
  [Piotr Ożarowski]
  * debian/watch file updated

 -- Oleksandr Moskalenko <malex@debian.org>  Sat, 24 Nov 2007 13:21:46 -0700

quixote (2.4-9) unstable; urgency=low

  *  Update for new python-support:
     - debian/control: Change versioned dependency on python-support to 0.6.4.
     - debian/rules: Don't handle moving .egg.info anymore.
  * debian/pyversions: Restrict support to python2.4 as quixote currently
    doesn't build on 2.5 and PTL doesn't support it.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 14 May 2007 09:51:39 -0600

quixote (2.4-8) unstable; urgency=low

  - Piotr Ozarowski <ozarow@gmail.com>
    * Egg support added:
      - Added python-setuptools to Build-Depends
      - Added 02-egg_support patch
    * Build for all supported Python versions

 -- Oleksandr Moskalenko <malex@debian.org>  Fri,  9 Feb 2007 22:29:44 -0700

quixote (2.4-7) unstable; urgency=low

  * debian/control:
    - Cleaned up commented out "quixote" stanza file.
    - Added XS-Vcs-Svn and XS-Vcs-Browser fields.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 25 Jan 2007 16:07:47 -0700

quixote (2.4-6) unstable; urgency=low

  * Acknowledge NMU (thanks to Matthias Klose <doko@debian.org>).
  * Injected quixote package into the svn repository of the Debian Python
    Modules Packaging Team (PMPT) with PMPT added to uploaders.
  * debian/watch: Added a watch file.
  * debian/patches/01-ptl_compile.py.dpatch: Changed hashbang from python2.3
    to "/usr/bin/env python".
  * Switched packaging from python-central to python-support.
    - debian/control:
      + Changed Build-Depends form python-central to python-support.
      + Added PMPT to Uploaders.
      + Removed "quixote" package - python-quixote replaced it.
      + Removed "XS-Python-Version: >= 2.3" since debian/pyversions is used.
      + Updated description of python-quixote.
    - debian/pyversions: Added per new debian-python policy. Indicates
      supported python versions.
    - python-quixote.dirs: copied python2.4-quixote.dirs and added
      usr/share/python-support/python-quixote
    - Replaced pythonX.X-* files with python-quixote.* files where appropriate
      and removed unneeded files.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu, 25 Jan 2007 12:28:00 -0700

quixote (2.4-5) unstable; urgency=low

  * debian/rules: Install docs into the python-quixote-doc build directory
    (Closes: #382325).
  * debian/changelog: Changed python-central dependency to 0.5.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri,  1 Sep 2006 16:57:26 -0600

quixote (2.4-4) unstable; urgency=low
  * This upload is about converting the package to using python-central and
    introducing changes that will make it compliant with the new debian python
    policy and compatible with the python 2.3 -> python 2.4 transition.
  * debian/control:
    + Added XS-Python-Version: >= 2.3
    + Added XS-Python-Standard-Version: 0.4
    + Changed Build-Depends to contain debhelper (>= 5.0.37.1) instead of
       debhelper (>= 5), python-all-dev instead of python2.3-dev and
       python2.4-dev; added python-central (>= 0.4.10).
    + Combined sections for python2.3-quixote and python2.4-quixote into a
      single python-quixote section.
    + Changed quixote-doc to python-quixote-doc to avoid a second "NEW queue'
      run later on when I remove 'quixote'.
    [python-quixote]
      - Changed binary Depends to ${python:Depends}
      - Changed 'Replaces' to quixote (<< 2.4-4) and python2.x-quixote (<<
        2.4-4).
      - Added 'Conflicts: quixote (<< 2.4-4)' and python2.x-quixote (<<
        2.4-4).
      - Added 'Provides quixote' and ${python:Provides}.
      - Added  XB-Python-Version: ${python:Versions}.
    [quixote]
      - Changed Architecture to 'all' as this package doesn't contain any
        arch-dependent files.
    [quixote-doc]
      - Changed Architecture to 'all' as this package doesn't contain any
        arch-dependent files.
      - Added appropriate Replaces, Conflicts and Provides.
  * debian/rules:
    + Removed commented out lines from the file.
    + Removed DOCPATH, PYTHON23 and PYTHON24 variables.
    + Added a PYVERS variable.
    + Added new build and install rules per new Debian python policy.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 14 Jun 2006 12:16:52 -0600

quixote (2.4-3) unstable; urgency=low

  * debian/control:
    + Removed the dependency of quixote-doc on quixote (Closes: #365511).
    + Added a "Section: doc" to the quixote-doc control lines thanks to a
      lintian warning.
    + Updated Standards-Version to the latest 3.7.2.

 -- Oleksandr Moskalenko <malex@debian.org>  Thu,  8 Jun 2006 11:34:16 -0600

quixote (2.4-2) unstable; urgency=low

  * debian/python2.4-quixote.postinst: Fixed the Python interpreter version
    2.3 --> 2.4 (Closes: #356764).
  * debian/control: Added a "Replaces: quixote (<< 2.4)" field to
    python2.{3,4}-quixote package control fields to fix a problem with
    upgrading from quixote 2.3 and earlier (Closes: #356766).

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 14 Mar 2006 14:13:08 -0700

quixote (2.4-1) unstable; urgency=low

  * Changing to co-maintenance with Neil Schemenauer.
  * New upstream release.
  * debian/compat: put this setting out into a new file and switched to the
    current compat level of 5.
  * debian/control: changed the debhelper Build-Depends to correspond to the
    chosen compatibility level.
  * debian/control: split quixote into quixote, python2.3-quixote,
    python2.4-quixote, and quixote-doc based on a patch kindly provided by
    Diane Trout <diane@ghic.org> (thanks!) (Closes: #339840).
  * debian/quixote-doc.lintian: Added an override for the license error as
    quixote does not use a common license.
  * debian/quixote.lintian: Added an override for the license error as quixote
    does not use a common license.
  * debian/copyright: Added licenses for ptl/cimport.c and server/_fcgi.py.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue, 14 Feb 2006 23:14:17 -0700

quixote (2.3-0.1) unstable; urgency=low

  * NMU with permission of Neil Schemenauer.
  * New upstream release

 -- Oleksandr Moskalenko <malex@tagancha.org>  Fri, 21 Oct 2005 12:08:10 -0600

quixote (2.2-0.1) unstable; urgency=low

  * NMU with permission of Neil Schemenauer.
  * New upstream release

 -- Oleksandr Moskalenko <malex@tagancha.org>  Tue, 27 Sep 2005 17:41:21 -0600

quixote (2.1-0.1) unstable; urgency=low

  * NMU with permission of Neil Schemenauer.
  * New upstream release.
  * debian/control: added dpatch to Build-Depends (Closes: #324349).
  * debian/control: updated Standards-Version.
  * debian/quixote.lintian: Added overrides for non-executable .py files and
    for the bogus license error.
  * debian/quixote.dirs: Added this file to allow dh_installdirs to creat a
    directory for lintian overrides.
  * debian/rules: Added code to install lintian overrides.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Mon, 22 Aug 2005 15:19:57 -0600

quixote (2.0-0.1) unstable; urgency=low

  * NMU with permission of Neil Schemenauer.
  * New upstream release (Closes: #294573, #277666, #270527).
  * debian/copyright: Updated the CNRI license for Quixote 2.0 and removed
    irrelevant Zope license.
  * debian/docs: Updated the list of files from the docs and demo directories
    to avoid breaking the build.
  * debian/patches: Prepare a patch for ptl/ptl_compile.py to fix a hard-coded
    path to python interpreter at build time.
  * debian/rules: Patch ptl/ptl_compile_py as described above using dpatch.

 -- Oleksandr Moskalenko <malex@tagancha.org>  Fri, 17 Jun 2005 16:49:21 -0600

quixote (1.0-1) unstable; urgency=low

  * New upstream release (Closes: #259197).

 -- Neil Schemenauer <nas@debian.org>  Wed, 25 Aug 2004 10:40:25 -0400

quixote (0.6.1-1) unstable; urgency=low

  * Build against Python 2.3.
  * Include ZPL 2.0 (Closes: #205427)
  * New upstream release.

 -- Neil Schemenauer <nas@debian.org>  Tue, 26 Aug 2003 13:13:46 -0400

quixote (0.6-1) unstable; urgency=low

  * New upstream release (Closes: #186452).

 -- Neil Schemenauer <nas@debian.org>  Tue,  6 May 2003 11:09:23 -0400

quixote (0.5-1) unstable; urgency=low

  * Initial package (Closes: #149942).

 -- Neil Schemenauer <nas@debian.org>  Thu, 13 Jun 2002 20:47:02 -0400
